package kiyut.sketsa.api.symbollibrary;

import java.awt.Component;
import java.awt.Point;
import javax.swing.Icon;
import kiyut.sketsa.canvas.VectorCanvas;


/**
 * Abstract Implementation of Symbol.
 * The methods in this class are empty. This class is provided as a convenience 
 * for easily creating Symbol by extending this class.
 * @author Kiyut
 */
public abstract class AbstractSymbol implements Symbol {
   
    /** {@inheritDoc} */
    public Icon getIcon() {
        return null;
    }
    
    /** 
     * This method returns General as String.
     * {@inheritDoc} 
     */
    public String getCategory() {
        return "General";
    }
    
    /** This method returns Symbol as String.
     * {@inheritDoc} 
     */
    public String getTooltipText() {
        return "Symbol";
    }
    
    /** {@inheritDoc} */
    public void showOptionDialog(Component parentComponent) {
        
    }
    
    /** {@inheritDoc} */
    public void insertSymbol(VectorCanvas canvas, Point location) {
    }
}

